/*
 * klapacz.h
 *
 *  Created on: 07-04-2014
 *      Author: Krzysztof Jakubczyk
 */

#ifndef KLAPACZ_H_
#define KLAPACZ_H_

#include "tdefs.h"

struct klapacz_logic
{
	u8 *ptr;
	u8 bit_no;
	u32 t_cnt;
};

struct klapacz_io
{
	u32 out; // one bit
}__attribute__((__packed__));

struct klapacz_params
{
	u32 interval1;
	u32 interval2;
}__attribute__((__packed__));

struct klapacz_args
{
	struct klapacz_io io;
	struct klapacz_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void klapacz(void *args, void *logic);
extern int klapacz_initlog(void *args, void *logic);

#endif /* KLAPACZ_H_ */
